Paginated single-relationship view
curl --request GET \
--url https://api.reevo.ai/api/v2/public/contact/{contact_id}/relationship/{api_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reevo.ai/api/v2/public/contact/{contact_id}/relationship/{api_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reevo.ai/api/v2/public/contact/{contact_id}/relationship/{api_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next_cursor": "<string>",
"parent": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "<string>"
},
"api_name": "<string>",
"items": [
{
"related_record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"related_record_type": "<string>",
"through": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "<string>",
"attributes": {}
}
}
]
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}{
"status_code": 123,
"error_type": "<string>",
"message": "<string>",
"details": {
"loc": [
"<unknown>"
],
"type": "<string>",
"all_errors": [
"<unknown>"
],
"code": "request_validation_failed"
}
}contact
Paginated single-relationship view
GET
/
contact
/
{contact_id}
/
relationship
/
{api_name}
Paginated single-relationship view
Authorizations
BearerAuthApiKeyAuth
Reevo API key passed as Authorization: Bearer <api-key>.
Response
Successful Response
Backward-compatible response name for generic relationship reads.
Was this page helpful?
⌘I